# System Requirements

BinStack (and the other Business Apps) are tested and officially supported on the following configurations.  Other systems may be supported at our discretion, possibly with an additional support fee.  AccountHub and the other business apps should work on any sane Linux/PHP/MySQL based web server, even if it is not within the requirements shown here.

## Server

### Minimum Hardware

The Business Apps are very lightweight on server resources.  The minimum supported hardware is a $35 Rasperry Pi 3 (1.2 GHz quad-core ARM CPU, 1GB RAM, 100Mbps Ethernet). Cloud VPS servers with as little as 512 MB RAM are fine too.

### Software and Operating System

* Server Operating System
    * Ubuntu 16.04
* PHP
    * 7.0
    * 7.1
* Database
    * MySQL 5.7+
    * MariaDB 10.0+
* Web Server
    * Apache 2.4

### Recommended Software
For best performance, security, and ease of administration, we recommend installing the following on your server:

* Google's ModPageSpeed Apache module (on-the-fly caching and bandwidth optimization)
* PHP's opcache (cached compiled PHP code for faster execution)
* Fail2ban (if using SSH or other remote administration methods)
* PHPMyAdmin (web-based MySQL/MariaDB server administration)
* LetsEncrypt (automatic free SSL encryption setup)

## Client

The Business Apps are web-based and built with modern technologies.  This means any machine capable of running a standards-compliant, modern, up-to-date web browser will run the Business Apps just fine.

### Officially Supported Operating Systems
Note: This list is incomplete, as any OS capable of running one of the browsers from the list below will suffice.

* Linux
	* Ubuntu Linux 14.04, 16.04, and supported non-LTS releases
	* Ubuntu Derivatives (such as Linux Mint)
	* Debian 8 or 9
* Android
	* 5.0+ with Chrome, or
	* Any supported by Firefox, or
	* Any supported by the Business Apps for Mobile client

### Supported Operating Systems
Any other operating system running a supported browser is also supported, but we may not provide support for issues not directly related to the Business Apps.

### Supported Screen Resolutions
All screens with a viewport (the portion of the screen showing the app, in contrast to window borders, status bars, etc) having a resolution greater than 300x400 pixels will work, assuming use of a supported browser.

### Supported Web Browsers
* Mozilla Firefox (54+)
* Chrome/Chromium (latest and latest-1)
* Chrome WebView, AOSP WebView (Android 5.0+)

### Unsupported Web Browsers
While we do not support the following browsers, they will likely still work.  You won't break anything by trying.

* Edge
* Safari
* Opera

### Known Incompatable Browsers
These browsers are known to lack support for CSS rules, JavaScript APIs, and other technology required to run the Business Apps.

* Opera Mini
* Internet Explorer